Package be.ehealth.businessconnector.ehbox.api.domain.exception

# Class EhboxBusinessConnectorException

java.lang.Object
java.lang.Throwable
java.lang.Exception
be.ehealth.technicalconnector.exception.ConnectorException
be.ehealth.businessconnector.ehbox.api.domain.exception.EhboxBusinessConnectorException

All Implemented Interfaces:
  `Serializable`

public class EhboxBusinessConnectorException extends ConnectorException
The Class EhboxBusinessConnectorException. Extends : `ConnectorException`

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EhboxBusinessConnectorException(EhboxBusinessConnectorExceptionValues errorCodeValue, Object... params)`
  Creates a new EhboxBusinessConnectorException.
  `EhboxBusinessConnectorException(EhboxBusinessConnectorExceptionValues errorCodeValue, Throwable e, Object... params)`
  Creates a new EhboxBusinessConnectorException.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getLogMessage()`

  ### Methods inherited from class be.ehealth.technicalconnector.exception.ConnectorException

  `getErrorCode`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### EhboxBusinessConnectorException

    public EhboxBusinessConnectorException(EhboxBusinessConnectorExceptionValues errorCodeValue, Object... params)
    Creates a new EhboxBusinessConnectorException.
    Parameters:
      `errorCodeValue` -
      `params` -

  - ### EhboxBusinessConnectorException

    public EhboxBusinessConnectorException(EhboxBusinessConnectorExceptionValues errorCodeValue, Throwable e, Object... params)
    Creates a new EhboxBusinessConnectorException.
    Parameters:
      `errorCodeValue` -
      `e` -
      `params` -

- ## Method Details

  - ### getLogMessage

    public String getLogMessage()